Bug 1368259 - Deleting a build from a group project doesn't delete backend files
Summary: Deleting a build from a group project doesn't delete backend files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-18 20:58 UTC by clime
Modified: 2016-10-09 02:55 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:05:43 UTC


Attachments (Terms of Use)

Description clime 2016-08-18 20:58:17 UTC
Description of problem:
If I delete a build from a group project, frontend will say that the build removal was successful but the files for the build on backend are not removed.

How reproducible:
Always

Steps to Reproduce:
1. Create a group project
2. Make a build in it
3. Open link to the backend build results in a second tab
4. Delete the build through frontend
5. Wait for a minute or two
6. Observe that the backend files are still present

Expected results:
Backend files were deleted.

Comment 1 clime 2016-08-18 22:01:49 UTC
Fixed by https://github.com/fedora-copr/copr/commit/29d844d7.

Comment 2 clime 2016-09-09 19:26:09 UTC
I think I badly named this issue. Actually, it should have been "Deleting a build from a group project doesn't recreate repodata". It also used to crash action_dispatcher so the following deletes didn't get processed, which is why I probably didn't get the name right.

Comment 3 Fedora Update System 2016-09-12 06:25:00 UTC
copr-frontend-1.101-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acf014bf51

Comment 4 Fedora Update System 2016-09-12 06:25:07 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 5 Fedora Update System 2016-09-12 06:26:02 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 6 clime 2016-09-12 06:41:06 UTC
New copr-frontend version has been released.

Comment 7 Fedora Update System 2016-09-12 14:50:40 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 8 Fedora Update System 2016-09-12 15:26:48 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 9 Fedora Update System 2016-09-12 15:26:59 UTC
copr-frontend-1.101-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-acf014bf51

Comment 10 Fedora Update System 2016-10-03 17:22:54 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-03 20:20:49 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-09 02:55:48 UTC
copr-frontend-1.101-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.